<?php
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/header.php');

$start = (isset($_GET['start'])) ? abs(intval($_GET['start'])) : 0;

show_title('Мои гости');

if (is_user()) {

	$my = DB::run() -> querySingle("SELECT `users_id` FROM `users` WHERE `users_login`=?;", array($log));
	$total = DB::run() -> querySingle("SELECT count(*) FROM `guests` WHERE `who`=?;", array($my));

	if ($total > 0) {
		if ($start >= $total) {
			$start = last_page($total, 10);
    	}

    	$sql = DB::run() -> query("SELECT * FROM `guests` WHERE `who`=? ORDER BY `time` DESC LIMIT ".$start.", 10;", array($my));

    	while ($gst = $sql->fetch()) {

			DB::run() -> query("DELETE FROM `guests` WHERE `time`+3600*24*7<? AND `who`=?;", array(SITETIME, $gst['who']));

			echo '<div class="b">';

  			$login = DB::run() -> querySingle("SELECT `users_login` FROM `users` WHERE `users_id`=?;", array($gst['my']));
  
			echo '<b>'.profile($login).'</b> <small>';
			
			if($gst['status'] == 0) {
				echo '<font color="red">('.date_fixed($gst['time']).')</font>';
			} else {
				echo '('.date_fixed($gst['time']).')';
			}
			echo '</small>';
			echo '</div>';
    	}
    	DB::run() -> query("UPDATE `guests` SET `status`=? WHERE `who`=?;", array(1, $my));
		page_strnavigation('guests.php?', 10, $start, $total);

	} else {
		show_error('Гостей не было!');
	} 

	echo '<br/><img src="/images/img/act_home.gif" alt="image" /> <a href="/index.php">На главную</a>';

} else {
	show_login('Вы не авторизованы, чтобы посмотреть своих гостей, необходимо');
}

include_once ('../themes/footer.php');

?>